netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
FPRead.c File Reference
`#include "afpcmd.h"`
`#include "afphelper.h"`
`#include "testhelper.h"`

## Functions
int32_t | is_there (CONN *conn, uint16_t volume, int32_t did, char *name)
STATIC void | test5 ()
STATIC void | test46 ()
STATIC void | test59 ()
STATIC void | test61 ()
static void | alarm_handler ()
static void | write_test (int size)
STATIC void | test309 ()
STATIC void | test327 ()
void | test328 ()
STATIC void | test343 ()
STATIC void | test344 ()
STATIC void | test8 ()
void | FPRead_test ()

## Variables
char * | Server
int | Port
char * | Password
char * | vers
char * | uam
static volatile int | sigp = 0
static int | sock = -1

## Function Documentation

## ◆ alarm_handler()

void alarm_handler | ( |  | ) |
| static

## ◆ FPRead_test()

void FPRead_test | ( |  | ) |

## ◆ is_there()

int32_t is_there | ( | CONN * | conn,
|  | uint16_t | volume,
|  | int32_t | did,
|  | char * | name )

## ◆ test309()

STATIC void test309 | ( |  | ) |

## ◆ test327()

STATIC void test327 | ( |  | ) |

## ◆ test328()

void test328 | ( |  | ) |

## ◆ test343()

STATIC void test343 | ( |  | ) |

## ◆ test344()

STATIC void test344 | ( |  | ) |

## ◆ test46()

STATIC void test46 | ( |  | ) |

## ◆ test5()

STATIC void test5 | ( | void |  | ) |

## ◆ test59()

STATIC void test59 | ( |  | ) |

## ◆ test61()

STATIC void test61 | ( |  | ) |

## ◆ test8()

STATIC void test8 | ( | void |  | ) |

## ◆ write_test()

void write_test | ( | int | size | ) |
| static

## Variable Documentation

## ◆ Password

char* Password
| extern

## ◆ Port

int Port
| extern

## ◆ Server

char* Server
| extern

## ◆ sigp

volatile int sigp = 0
| static

## ◆ sock

int sock = -1
| static

## ◆ uam

char* uam
| extern

## ◆ vers

char* vers
| extern